/*
 * Copyright:      Fabian Maximilian Thiele  mailto:me@apetech.de
 * Author:         Fabian Maximilian Thiele
 * Remarks:        this Copyright must be included
 * known Problems: none
 * Version:        1.1
 * Description:    KS0108 Library Demo Program 
 * 
 */

#define F_CPU 16000000

#include <inttypes.h>
#include <avr/io.h>
#include <avr/pgmspace.h>

#include "ks0108.h"
#include "ks0108.c"


#include "fonts/SystemFont5x7.h"       // system font
#include "fonts/Arial14.h"             // proportional font
#include "fonts/Arial_bold_14.h"       // Bold proportional font
#include "fonts/Corsiva_12.h"		   // Middle italic font, it looks like very nice 
#include "fonts/Verdana24.h"		   // large proportional font - numerals only
#include "fonts/Broadway.h"			   // large proportional font full charset



#include "AllBitmaps.h"			       // externe Bitmaps einbinden


int main(void) 

{
	
	// Wait a little while the display starts up
	for(volatile uint16_t i=0; i<15000; i++);
	

	//Initialize the LCD
	ks0108Init(0);
		
	// Select a font
	ks0108SelectFont(Arial_14, ks0108ReadFontData, BLACK);
	// Set a position
	ks0108GotoXY(15,10);
	// Print some text
	ks0108Puts_P(PSTR("Hallo"));
	// a nice little round rect
	ks0108DrawRoundRect(0, 0, 127, 63, 4, BLACK);

	// Once again :)
	// Select a font
	ks0108SelectFont(Broadway, ks0108ReadFontData, BLACK);
	// Set a position
	ks0108GotoXY(10,45);
	// Print some text
	ks0108Puts_P(PSTR("www.hesch.de"));

	ks0108DrawCircle(100, 25, 10, BLACK);
	ks0108DrawCircle(105, 25, 10, BLACK);
	ks0108DrawCircle(110, 25, 10, BLACK);

return(0);
}
